com.unitech.lib.types

## Enum BatteryStatusId

- java.lang.Object
- - java.lang.Enum<BatteryStatusId>
  - - com.unitech.lib.types.BatteryStatusId

- All Implemented Interfaces:
    Serializable, Comparable<BatteryStatusId>

      public enum BatteryStatusId
      extends Enum<BatteryStatusId>

  BatteryStatusId enum represents the different types of battery status identifiers. Each identifier has a unique code and a name.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `charging`
    `percentage`
    `state`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static BatteryStatusId` | `fromValue(int code)`
    `int` | `getCode()`
    `String` | `toString()`
    `static BatteryStatusId` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static BatteryStatusId[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### percentage

          public static final BatteryStatusId percentage

    - #### charging

          public static final BatteryStatusId charging

    - #### state

          public static final BatteryStatusId state

  - ### Method Detail

    - #### values

          public static BatteryStatusId[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (BatteryStatusId c : BatteryStatusId.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static BatteryStatusId valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getCode

          public int getCode()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<BatteryStatusId>`

    - #### fromValue

          public static BatteryStatusId fromValue(int code)